Search
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.WebhooksSearch.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.WebhooksSearchResponse != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.webhooksSearch.search();
for await (const page of result) {
console.log(page);
}
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/webhooks"
payload = {
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [{ "id": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pageSize: 123,
pageToken: '<string>',
query: '<string>',
refs: [{id: '<string>'}]
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"callbackTimeout": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"nextPageToken": "<string>"
}Webhook
Search
Search for webhook subscriptions by query string or specific webhook references.
POST
/
api
/
v1
/
search
/
webhooks
Search
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.WebhooksSearch.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.WebhooksSearchResponse != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.webhooksSearch.search();
for await (const page of result) {
console.log(page);
}
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The WebhooksSearchRequest message.
The maximum number of webhooks to return per page.
The pagination token from a previous search response to fetch the next page.
A text query to match against webhook names and descriptions.
Optional set of webhook references to restrict the search to specific webhooks.
Show child attributes
Show child attributes
Was this page helpful?
⌘I